darcs-2.8.4: a distributed, interactive, smart revision control system

Safe Haskell | None

Darcs.Resolution

# Documentation

standardResolution :: RepoPatch p => FL p x y -> Sealed (FL (PrimOf p) y)

externalResolution

Arguments

:: forall p x y z a . (RepoPatch p, ApplyState p ~ Tree) |
=> Tree IO |
-> String | external merge tool command
-> [DarcsFlag] | command line arguments
-> FL (PrimOf p) x y |
-> FL (PrimOf p) x z |
-> FL p y a |
-> IO (Sealed (FL (PrimOf p) a)) |

patchsetConflictResolutions :: RepoPatch p => PatchSet p Origin x -> Sealed (FL (PrimOf p) x)